SendLit logoSendLit Docs
API ReferenceBillingAction token

Issue a single-use token for a sensitive billing action

**Authentication:** Requires a dashboard session cookie; OAuth access tokens and API keys are not accepted. Requests must pass the dashboard's same-origin and CSRF checks. Sensitive billing actions require recent authentication and a single-use billing action token; POST /billing/action-token issues that token.

POST
/billing/action-token

Authentication: Requires a dashboard session cookie; OAuth access tokens and API keys are not accepted. Requests must pass the dashboard's same-origin and CSRF checks. Sensitive billing actions require recent authentication and a single-use billing action token; POST /billing/action-token issues that token.

sendlit.session_token<token>

Better Auth dashboard session cookie used for local HTTP connections.

In: cookie

Request Body

application/json

Body

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://api.sendlit.app/billing/action-token" \  -H "Content-Type: application/json" \  -d '{    "action": "organization_checkout",    "target": "string"  }'
{
  "token": "stringstringstringstringstringst",
  "expiresAt": "2019-08-24T14:15:22Z"
}
Empty
{
  "error": "string"
}
{
  "error": "string"
}
{
  "error": "string"
}